콘텐츠로 건너뛰기

Kling Video v3 Text to Video [Standard]

통합

모델 id kling-video/v3/standard/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-video/v3/standard/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $0.63 630 API 크레딧 이 페이지에서 실행

API 키 받기
Kling 텍스트를 동영상으로 네이티브 오디오3–15 s #text-to-video

멀티샷 스토리보드, 네이티브 오디오 및 CFG 제어를 지원하는 Standard v3 텍스트-투-비디오

Kling · 동영상

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

88 / 2500

동영상 생성에 사용할 텍스트 지침입니다. 프롬프트 또는 multi_prompt 중 정확히 하나를 제공하세요.

duration 5 s

초 단위로 측정한 출력 동영상 길이입니다.

aspect_ratio 기본값 16:9

출력 동영상 프레임의 가로세로 비율입니다.

고급 negative_prompt · shot_type · cfg_scale · enable_safety_checker · multi_prompt
0 / 2500
shot_type 기본값 customize

멀티 샷 생성에서 샷을 계획하는 방식을 선택합니다. 'intelligent'를 선택하면 샷 구조를 모델에 위임합니다.

기본값 0.5

Classifer Free Guidance의 약자인 CFG를 사용해 생성 결과가 프롬프트를 얼마나 따를지 설정합니다.

제공하면 단일 prompt를 대신하여 여러 샷으로 나뉜 동영상을 만드는 샷별 프롬프트와 길이입니다.

POST /run/kling-video/v3/standard/text-to-video?wait=20 견적 → $0.63
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-video/v3/standard/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Kling Video v3 Text to Video [Standard] 정보

`prompt` 또는 클립을 여러 샷으로 나누는 `multi_prompt` 목록에서 비디오를 생성합니다. `duration`은 3~15초이고 `aspect_ratio`는 16:9, 9:16 또는 1:1입니다. 네이티브 오디오는 기본적으로 켜져 있으며 `negative_prompt`와 `cfg_scale`(0~1)을 사용할 수 있습니다. `shot_type`은 customize 또는 intelligent로 설정할 수 있습니다.

매개변수

이름유형 기본값허용됨 설명
enable_safety_checker선택 사항
유형boolean
기본값true
안전 검사는 계정 인증이 있을 때만 비활성화할 수 있으며, 인증되지 않은 요청에는 항상 검사가 적용됩니다.
prompt선택 사항
유형string | null
≤ 2,500자
동영상 생성에 사용할 텍스트 지침입니다. 프롬프트 또는 multi_prompt 중 정확히 하나를 제공하세요.
duration선택 사항
유형enum
기본값5
3456789101112131415
초 단위로 측정한 출력 동영상 길이입니다.
multi_prompt선택 사항
유형object[]
제공하면 단일 prompt를 대신하여 여러 샷으로 나뉜 동영상을 만드는 샷별 프롬프트와 길이입니다.
multi_prompt[].prompt필수
유형string
현재 샷에 대한 텍스트 지침입니다.
multi_prompt[].duration선택 사항
유형enum
기본값5
123456789101112131415
초 단위로 측정한 현재 샷의 길이입니다.
generate_audio선택 사항
유형boolean
기본값true
기본 동영상 오디오 생성 토글입니다. 중국어 또는 영어 음성을 지원하며 다른 언어는 영어로 자동 번역합니다. 영어 음성의 경우 약어와 고유 명사는 대문자로, 나머지는 소문자로 작성합니다.
shot_type선택 사항
유형enum
기본값customize
customizeintelligent
멀티 샷 생성에서 샷을 계획하는 방식을 선택합니다. 'intelligent'를 선택하면 샷 구조를 모델에 위임합니다.
aspect_ratio선택 사항
유형enum
기본값16:9
16:99:161:1
출력 동영상 프레임의 가로세로 비율입니다.
negative_prompt선택 사항
유형string
기본값blur, distort, and low quality
≤ 2,500자
cfg_scale선택 사항
유형number
기본값0.5
0 – 1
Classifer Free Guidance의 약자인 CFG를 사용해 생성 결과가 프롬프트를 얼마나 따를지 설정합니다.
필수

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-video/v3/standard/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 630,
    "usd": "0.63",
    "charged": 630,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
video
object {url, content_type, file_name, file_size}모델이 생성한 동영상입니다.

더 많은 모델: 텍스트를 동영상으로

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/kling-video/v3/standard/text-to-video.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt